Subject: [Idr] [Technical Errata Reported] RFC6793 (4538)

From: RFC Errata System <[email-masked]>
Date: Thu, 19 Nov 2015 06:17:28 -0800 (PST)

The following errata report has been submitted for RFC6793,
"BGP Support for Four-Octet Autonomous System (AS) Number Space".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6793&eid=4538

--------------------------------------
Type: Technical
Reported by: Warren Kumari <[email-masked]>

Section: 8

Original Text
-------------
If the BGP4-MIB [RFC4273] is supported, there are no additional
manageability concerns that arise from the use of four-octet AS
numbers, since the InetAutonomousSystemNumber textual convention
[RFC4001] is defined as Unsigned32.

Corrected Text
--------------

Notes
-----
I do not have corrected text. RFC4273 does not use InetAutonomousSystemNumber for AS numbers:
bgpPeerRemoteAs OBJECT-TYPE
            SYNTAX     Integer32 (0..65535)
            MAX-ACCESS read-only
            STATUS     current
            DESCRIPTION
                    \\"The remote autonomous system number received in
                     the BGP OPEN message.\\"
            REFERENCE
                    \\"RFC 4271, Section 4.2.\\"
            ::= { bgpPeerEntry 9 }

This uses \\"Integer32 (0...65535)\\" (note, Integer, not Unsigned Int). 
It is unclear to me how to fix this, I know some folk are simply treating it as a UInt32.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6793 (draft-ietf-idr-rfc4893bis-07)
--------------------------------------
Title               : BGP Support for Four-Octet Autonomous System (AS) Number Space
Publication Date    : December 2012
Author(s)           : Q. Vohra, E. Chen
Category            : PROPOSED STANDARD
Source              : Inter-Domain Routing
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: Jeffrey Haas <[email-masked]>
Date: Thu, 19 Nov 2015 12:16:14 -0500

> It is unclear to me how to fix this, I know some folk are simply treating it as a UInt32.

Unsigned32 has a type of APPLICATION 2.
Integer32/Integer is UNIVERAL 2.

Unfortunately they're not the same on-the wire encodings. This was not a
permissable change to the MIB when the work on RFC 4273 was being done.

So, in terms of errata - it's an issue to not be able to encode 4-byte ASes
in RFC 4273.  However, this was one of the use cases for the BGP MIBv2 work.

-- Jeff

---

From: "Alvaro Retana (aretana)" <[email-masked]>
Date: Thu, 19 Nov 2015 22:51:31 +0000

Hi!

I wonder if the authors meant draft-ietf-idr-bgp4-mibv2 (instead of
rfc4273), which does use InetAutonomousSystemNumber.  If so, then that
would be the errata.   Enke/Quaizar?

Of course, the MIBv2 has been stuck without implementations for a while
(??).  Sue/John: can you please confirm?

Thanks!

Alvaro.

On 11/19/15, 9:17 AM, "RFC Errata System" <[email-masked]>
wrote:

>I do not have corrected text. RFC4273 does not use
>InetAutonomousSystemNumber for AS numbers:

---

From: John Scudder <[email-masked]>
Date: Thu, 19 Nov 2015 23:12:43 +0000

On Nov 19, 2015, at 5:51 PM, Alvaro Retana (aretana) <[email-masked]> wrote:
> 
> MIBv2 has been stuck without implementations for a while

Correct.

– – John

---

From: John Scudder <[email-masked]>
Date: Thu, 19 Nov 2015 23:16:05 +0000

> would be the errata.   Enke/Quaizar?

Since it's an informative reference and not normative, that would work I think.

--John

---

From: Enke Chen <[email-masked]>
Date: Thu, 19 Nov 2015 15:18:28 -0800

Sorry, I do not remember this detail :-(  But it certainly should 
reference a document that uses 32bit (instead of 16bit) for AS numbers.

-- Enke

---

From: "Alvaro Retana (aretana)" <[email-masked]>
Date: Fri, 20 Nov 2015 00:54:46 +0000

If no one objects, I'll file the errata so that  the text points to the MIBv2.

Thanks!

Alvaro.

Thumb-typed and autocorrected..

> On Nov 19, 2015, at 6:18 PM, Enke Chen (enkechen) <[email-masked]> wrote:
> 
> Sorry, I do not remember this detail :-(  But it certainly should reference a document that uses 32bit (instead of 16bit) for AS numbers.
> 
> -- Enke
>

---

From: "Susan Hares" <[email-masked]>
Date: Mon, 23 Nov 2015 10:01:42 -0500

Alvaro: 

Sounds great!
Sue 

-----Original Message-----
From: Idr [mailto:[email-masked]] On Behalf Of Alvaro Retana (aretana)
Sent: Thursday, November 19, 2015 7:55 PM
To: Enke Chen (enkechen)
Cc: [email-masked]; [email-masked]; [email-masked]; RFC Errata
System
Subject: Re: [Idr] [Technical Errata Reported] RFC6793 (4538)

If no one objects, I'll file the errata so that  the text points to the
MIBv2.

Thanks!

Alvaro.

>> Since it's an informative reference and not normative, that would work I
think.

_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr